{
  "name": "@digiresilience/metamigo-config",
  "version": "0.2.0",
  "main": "build/main/index.js",
  "type": "module",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "dependencies": {
    "@digiresilience/metamigo-common": "*",
    "@digiresilience/montar": "*"
  },
  "devDependencies": {
    "@babel/core": "7.22.9",
    "@babel/preset-env": "7.22.9",
    "@babel/preset-typescript": "7.22.5",
    "eslint": "^8.45.0",
    "pino-pretty": "^10.0.1",
    "prettier": "^3.0.0",
    "ts-node": "^10.9.1",
    "tsc-watch": "^6.0.4",
    "typedoc": "^0.24.8",
    "typescript": "^5.1.6"
  },
  "files": [
    "build",
    "src"
  ],
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "doc": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md --target es2019 --mode file --out build/docs",
    "fix:lint": "eslint src --ext .ts --fix",
    "fmt": "prettier \"src/**/*.ts\" --write",
    "lint": "eslint src --ext .ts && prettier \"src/**/*.ts\" --list-different",
    "test": "echo no tests",
    "dev": "tsc-watch --build  --noClear"
  }
}
